package com.chelvc.cloud.maintain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 法人信息
 *
 * @author 七仔
 * @date 2023/12/1
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CorporationVO implements Serializable {

    /**
     * 法人姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 证件类型
     */
    private String opening;

    /**
     * 证件号
     */
    private String address;

    /**
     * 有效期
     */
    private Double score;

    /**
     * 证件正面图
     */
    private Integer sale;

    /**
     * 证件反面图
     */
    private Integer goodReview;
}
